html{
    font-size: 10px;
    background-color: black;
    height: 100%;
    background-repeat: no-repeat;
    background-attachment: fixed;
    color: white;
}

body{
    font-family: "Poppins",sans-serif;
    position:relative;
}



a{
    font-size: 1.2rem;
    color: #C75B7A;
}

.mouseCursor{
    pointer-events: none; 
    content: '';
    transition: 0.1s;
    position: fixed;
    padding: 0;
    margin:0;
    top: -250px;
    left: -250px;
    z-index: 10;
    z-index: 4;
    width: 150px;
    height: 150px;
    background-color: white;
    border-radius: 50%;
    mix-blend-mode: difference;

}   

.screenInverted{
    transition: 0.1s;
    pointer-events: none; 
    position: fixed;
    padding: 0;
    margin:0;
    top: 0px;
    left:500px;
    z-index: 10;
    z-index: 4;
    width: 1000vh;
    height: 100vw;
    overflow: hidden;
    background-color: white;
    mix-blend-mode: difference;
}


@media only screen and (min-width: 800px) {
    html {
        font-size: 15px;
    }

  }


#container{
    margin-bottom: 5vw;
    padding-bottom: 5vw;
    margin: 10vw;
    margin-top: 5vw;
    height: 100vh;
}

h1{
    font-size: 5rem;
}

h2{
    font-size: 3.5rem;
}

h3{
    margin-top: 0;
    font-size: 2rem;
    margin-bottom: 5rem;
}

#about{
    width: 50%;
    font-size: 1.5rem;
    margin-bottom: 5rem;
}

.background{
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    
    
    z-index: -1;
    width: 95svw;
}

.square{
    position: absolute;

    
}

.squareGreen{
    top: 1rem;
    left: 1rem;
    height: 15rem;
    width: 15rem;
    background-color: hsl(73, 49%, 57%);
    box-shadow: 3rem 3rem #5BC7A8;

}

.languageButton{
    font-size: 2.5rem;
    font-family: "Poppins",sans-serif;
    font-weight: 400;
    margin-bottom: 100px;
    margin-right: 50px;
    position: relative;
    border-radius: 5px;
}

.languageButton::after{
    content:'';
    transition: 0.2s;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 7px;
    left: -7px;
    z-index: -1;
    background-color: #ABE2E7;
    background-image: linear-gradient(90deg,black 10%,transparent 10%),linear-gradient(0deg,black 10%,transparent 10%);
    border-radius: 5px;
    background-size: 1rem 1rem;

}
.languageButton:hover{

    transition: 0.2s;
    
}

.languageButton:hover::after{
    transition: 0.2s;
    z-index: -10;
    transform: translateX(-0.5rem) translateY(0.5rem);
    

}

.squareViolet{
    top: 1rem;
    right: -2.5rem;
    height: 30rem;
    width: 30rem;
    background-color: #725BC7;
    
}

.squareViolet::before{
    content: '';
    height: 100%;
    width: 100%;
    position:absolute;
    background-image: linear-gradient(90deg,black 5%,transparent 5%),linear-gradient(0deg,black 5%,transparent 5%);
    background-color: #C75B7A;
    z-index: -10;
    background-size: 3rem 3rem;
    top: 6rem;
    left: -6rem;
}

.glitchEffectRed {
    text-shadow : hsl(343, 49%, 37%) 0.5rem 0.5rem 0px;
}

.glitchEffectGreen{
    text-shadow: #308D73 0.5rem 0.5rem 0px;
}

.glitchEffectRedSmall{
    text-shadow: hsl(343, 49%, 37%) 0.3rem 0.3rem 0px;
}

.glitchEffect{
    text-shadow: hsl(343, 49%, 37%) 0.5rem 0 0px,#308D73 -0.5rem 0 0px;
}

#innerContainer{
    background-color: #C75B7A;
    font-size: 2rem;
    border-radius: 10px;
}

#pythonProjects {
    display: none;
}

#pythonProjects img{
    z-index: 10000;
}

#pythonProjects div::after{
    content: '';
    background-color: white;

    mix-blend-mode: difference;
    position: absolute;
    top: 0px;
    left: 0px;
    z-index: 10;
    border-radius: 10px;
    height: 100%;
    width: 100%;
}

.project{
    background-color: hsl(73, 79%, 57%);
    border-radius: 5px;
    color: black;
    padding-left: 2rem;
    display: flex;
    justify-content: space-between;
    height: 50vh;
    margin-bottom: 50px;
    position:relative;
    box-shadow: -10px 10px #C75B7A;

}




.project img{
    transform: scale(90%);
    border-radius: 5px;
    box-shadow: -10px 10px #C75B7A;
}

.text-right{
    display: flex;
    justify-content: flex-start;
}

.two{
    
    background-color: #ABE2E7;
    box-shadow: -10px 10px #725BC7;

}

.two a{
    color: #725BC7;
}

.two img{
    box-shadow: -10px 10px #725BC7;

}

.two h2{
    text-shadow: #725BC7 0.3rem 0.3rem 0px;

}

.three{
    background-color: #C75B7A;
    box-shadow: -10px 10px #72CFB5;

}

.three img{
    box-shadow: -10px 10px #72CFB5;
}

.three a{
    color: #72CFB5;
}

.three h2{
    text-shadow: #72CFB5 0.3rem 0.3rem 0px;

}

.python{
    color: white;
    z-index: 100;
}

.python-one{
    background-color: #3D17C4;
    box-shadow: -10px 10px #38A485;
    
}

.python-one img{
    box-shadow: -10px 10px #38A485;

}

.python-one h2{
    text-shadow: #38A485 0.3rem 0.3rem 0px;
}

.python-one a{
    color: #38A485;
}

.python-two{
    background-color: hsl(5, 56%, 79%);
    
}

.python-three{
    background-color: hsl(154, 56%, 79%);
    box-shadow: -10px 10px hsl(170, 49%, 57%);
}

.python-three h2{
    text-shadow: hsl(170, 49%, 57%) 0.3rem 0.3rem 0px;
}

.python-three a{
    color: hsl(170, 49%, 57%);
}

.python-three img{
    box-shadow: -10px 10px hsl(170, 49%, 57%);
}

.python-four{
    background-color: #6482AD;
    box-shadow: -10px 10px hsl(20, 17%, 76%);
}

.python-four h2{
    text-shadow: hsl(20, 17%, 66%) 0.3rem 0.3rem 0px;

}

.python-four a{
    color: hsl(20,17%,66%)
}

.python-four img{
    box-shadow: -10px 10px hsl(20, 17%, 66%);
}

#artificialPadding{
    height: 50px;
}

@media screen and (max-width:600px) {
    .squareViolet{
        height: 15rem;
        width: 15rem;
    }
    #mouseCursor{
        display: none;
    }
}


@media screen and (max-width:400px) {
    .squareViolet{
        height: 15rem;
        width: 15rem;
        display: none;
    }
}